Name:		sslyze
Version:	0.10
Release:	1.2
Url:		https://github.com/nabla-c0d3/sslyze
Summary:	Fast and full-featured SSL scanner
License:	GPLv2
Group:		System/Security
%ifarch x86_64
Source0:	sslyze-0_10-linux64.tar.bz2
%else
Source0:	sslyze-0_10-linux32.tar.bz2
%endif
BuildRequires:	python >= 2.7 redhat-rpm-config
Requires:	python >= 2.7 redhat-rpm-config
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
%if 0%{?rhel} == 7
%define py_sitedir %{_prefix}/lib/python%{py_ver}/site-packages
%endif

%description
SSLyze is a Python tool that can analyze the SSL configuration of a server by
connecting to it. It is designed to be fast and comprehensive, and should help
organizations and testers identify misconfigurations affecting their SSL
servers.

%prep
%setup -n %{name}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG.md AUTHORS.txt README.md
%{_bindir}/sslyze.py
%{py_sitedir}/SSLyze-SSLyze.v%{version}-py%{py_ver}.egg-info
%dir %{py_sitedir}/nassl
%{py_sitedir}/nassl/DebugSslClient.py*
%{py_sitedir}/nassl/OcspResponse.py*
%{py_sitedir}/nassl/SslClient.py*
%{py_sitedir}/nassl/X509Certificate.py*
%{py_sitedir}/nassl/__init__.py*
%{py_sitedir}/nassl/_nassl.so
%dir %{py_sitedir}/plugins
%{py_sitedir}/plugins/PluginBase.py*
%{py_sitedir}/plugins/PluginCertInfo.py*
%{py_sitedir}/plugins/PluginChromeSha1Deprecation.py*
%{py_sitedir}/plugins/PluginCompression.py*
%{py_sitedir}/plugins/PluginHSTS.py*
%{py_sitedir}/plugins/PluginHeartbleed.py*
%{py_sitedir}/plugins/PluginOpenSSLCipherSuites.py*
%{py_sitedir}/plugins/PluginSessionRenegotiation.py*
%{py_sitedir}/plugins/PluginSessionResumption.py*
%{py_sitedir}/plugins/__init__.py*
%dir %{py_sitedir}/plugins/data
%dir %{py_sitedir}/plugins/data/trust_stores
%{py_sitedir}/plugins/data/trust_stores/apple.pem
%{py_sitedir}/plugins/data/trust_stores/java.pem
%{py_sitedir}/plugins/data/trust_stores/microsoft.pem
%{py_sitedir}/plugins/data/trust_stores/mozilla.pem
%{py_sitedir}/plugins/data/trust_stores/mozilla_ev_oids.py*
%dir %{py_sitedir}/utils
%{py_sitedir}/utils/CommandLineParser.py*
%{py_sitedir}/utils/HTTPResponseParser.py*
%{py_sitedir}/utils/SSLyzeSSLConnection.py*
%{py_sitedir}/utils/ServersConnectivityTester.py*
%{py_sitedir}/utils/ThreadPool.py*
%{py_sitedir}/utils/__init__.py*

%changelog
* Sun Jan 25 2015 cs@linux-administrator.com
- initial package
